class objVehicule extends MovieClip
{
   var _nSpeedMax;
   var _bAir = false;
   var _bObstacleCollide = false;
   var _bGoSafeZone = false;
   var _bBossComing = false;
   var _bLoseLive = false;
   var _bComeBack = false;
   var _bColored = false;
   var _bInvinsible = false;
   var _bPaused = false;
   var _bDuelMode = false;
   var _bVehiculeCentred = false;
   var _bLevelCentred = false;
   var _bVehiculeReachSafeZone = false;
   function objVehicule()
   {
      super();
   }
   function fInitializeProperties(_rSpeedMin, _rSpeedMax, _rVelocity)
   {
      var _loc1_ = this;
      var _loc2_ = _global;
      _loc1_._nBoundsVehicule = _loc2_.levelScreen.mcVehicule.getBounds(_loc2_.stage);
      _loc1_._nStartPosX = Math.floor((_loc1_._nBoundsVehicule.xMin + _loc1_._nBoundsVehicule.xMax) / 2);
      _loc1_._nStartPosY = Math.floor((_loc1_._nBoundsVehicule.yMin + _loc1_._nBoundsVehicule.yMax) / 2);
      _loc1_._nVelocity = _rVelocity;
      _loc1_._sSoundMotor = "OUT";
      _loc1_._sTangPosition = "idle";
      _loc1_._nTimeToTang = -1;
      _loc1_._nSpeed = _rSpeedMin - 0.1;
      _loc1_._nSpeedDecor = _loc1_._nSpeed;
      _loc1_._nSpeedMin = _rSpeedMin;
      _loc1_._nSpeedMax = _rSpeedMax;
      _loc1_._nSpeedBonus = 0;
      _loc1_._nDirection = 1;
      _loc1_._nSpeedToBrake = 0;
      _loc2_.contGame._nSpeedMeterFactor = 125 / _loc1_._nSpeedMax;
      _loc1_._nMoveLRSpeed = 0;
      _loc1_._nMoveLRSpeedMax = 10;
      _loc1_._nDirectionLR = 1;
      _loc1_._nAirTime = 0;
      _loc1_._nAirTimeDone = 0;
      _loc1_._mcVehiculeShadow = _loc2_.levelScreen.mcVehiculeShadow;
      _loc1_._mcVehiculeShadow._x = _loc1_._x;
      _loc1_._mcVehiculeShadow._y = _loc1_._y;
      _loc1_._mcVehiculeShadow.swapDepths(498);
      _loc1_.swapDepths(499);
   }
   function fForward()
   {
      var _loc1_ = this;
      if(_loc1_._nSpeed > _loc1_._nSpeedMin and _loc1_._nDirection == -1)
      {
         _loc1_.fDecelerate(3,1);
      }
      else
      {
         _loc1_._nDirection = 1;
         _loc1_._nSpeed += _loc1_._nVelocity;
         if(_loc1_._nSpeed > _loc1_._nSpeedMax)
         {
            _loc1_.fManageEngin("MID");
            _loc1_._nSpeed = _loc1_._nSpeedMax;
         }
         else
         {
            _loc1_.fManageEngin("IN");
         }
         if(_loc1_._bDuelMode == true)
         {
            _loc1_.fVefiryLimitY(_loc1_._nSpeed * (- _loc1_._nDirection));
         }
         else
         {
            _loc1_._nSpeedDecor = _loc1_._nSpeed * _loc1_._nDirection;
         }
      }
   }
   function fManageEngin(_rSound)
   {
      var _loc1_ = _global;
      var _loc2_ = _rSound;
      var _loc3_ = this;
      if(_loc2_ == "OUT")
      {
         if(_loc3_._sSoundMotor != _loc2_ and _loc3_._sSoundMotor != "MIN")
         {
            _loc1_.contSound.fManageSound("snd_MID","stop",0,0);
            _loc1_.contSound.fManageSound("snd_MIN","stop",0,0);
            _loc1_.contSound.fManageSound("snd_OUT","stop",0,0);
            _loc1_.contSound.fManageSound("snd_IN","stop",0,0);
            _loc1_.contSound.fManageSound("snd_" + _loc2_,"play",1,30);
            _loc3_._sSoundMotor = "OUT";
         }
      }
      else if(_loc2_ == "MID" or _loc2_ == "MIN")
      {
         if(_loc3_._sSoundMotor != _loc2_)
         {
            _loc1_.contSound.fManageSound("snd_MID","stop",0,0);
            _loc1_.contSound.fManageSound("snd_MIN","stop",0,0);
            _loc1_.contSound.fManageSound("snd_OUT","stop",0,0);
            _loc1_.contSound.fManageSound("snd_IN","stop",0,0);
            if(_loc2_ == "MIN")
            {
               _loc1_.contSound.fManageSound("snd_" + _loc2_,"play",99999,25);
            }
            else
            {
               _loc1_.contSound.fManageSound("snd_" + _loc2_,"play",99999,30);
            }
            _loc3_._sSoundMotor = _loc2_;
         }
      }
      else if(_loc3_._sSoundMotor != _loc2_ and _loc3_._sSoundMotor != "MID")
      {
         _loc1_.contSound.fManageSound("snd_IN","stop",0,0);
         _loc1_.contSound.fManageSound("snd_MID","stop",0,0);
         _loc1_.contSound.fManageSound("snd_MIN","stop",0,0);
         _loc1_.contSound.fManageSound("snd_OUT","stop",0,0);
         _loc1_.contSound.fManageSound("snd_" + _loc2_,"play",1,30);
         _loc3_._sSoundMotor = _loc2_;
      }
   }
   function fBackward()
   {
      var _loc1_ = this;
      if(_loc1_._nSpeed > _loc1_._nSpeedMin and _loc1_._nDirection == 1)
      {
         _loc1_.fDecelerate(3,1);
      }
      else
      {
         _loc1_._nDirection = -1;
         _loc1_._nSpeed += _loc1_._nVelocity;
         if(_loc1_._nSpeed > _loc1_._nSpeedMax / 1.5)
         {
            _loc1_.fManageEngin("MID");
            _loc1_._nSpeed = _loc1_._nSpeedMax / 1.5;
         }
         else
         {
            _loc1_.fManageEngin("IN");
         }
         if(_loc1_._bDuelMode == true)
         {
            _loc1_.fVefiryLimitY(_loc1_._nSpeed * (- _loc1_._nDirection));
         }
         else
         {
            _loc1_._nSpeedDecor = _loc1_._nSpeed * _loc1_._nDirection;
         }
      }
   }
   function fBrake()
   {
      this.fDecelerate(this._nSpeedMax / 8,1);
   }
   function fDecelerate(_rFactor, _rSens)
   {
      var _loc1_ = this;
      _loc1_.fManageEngin("OUT");
      _loc1_._nSpeed -= _loc1_._nVelocity * _rFactor;
      if(_loc1_._nSpeed < _loc1_._nSpeedMin)
      {
         if(_loc1_._bDuelMode == true)
         {
            _loc1_._nSpeed = Math.floor(_loc1_._nSpeedMin / 1.5);
         }
         else
         {
            _loc1_._nSpeed = _loc1_._nSpeedMin;
         }
         _loc1_.fManageEngin("MIN");
      }
      if(_loc1_._bDuelMode == true and _loc1_._bLoseLive == false and _loc1_._bComeBack == false)
      {
         _loc1_.fVefiryLimitY(_loc1_._nSpeed * ((- _loc1_._nDirection) * _rSens));
      }
      else
      {
         _loc1_._nSpeedDecor = _loc1_._nSpeed * _loc1_._nDirection;
      }
   }
   function fVefiryLimitY(_rSpeed)
   {
      var _loc1_ = this;
      _loc1_._nBoundsVehicule = _global.levelScreen.mcVehicule.mcHitZone.getBounds(_global.stage);
      if(_loc1_._nBoundsVehicule.yMin + 10 + _rSpeed < 0)
      {
         _loc1_._y -= _loc1_._nBoundsVehicule.yMin + 8;
         _loc1_._mcVehiculeShadow._y -= _loc1_._nBoundsVehicule.yMin + 10;
         _loc1_._nSpeed = _loc1_._nSpeedMin;
      }
      else if(_loc1_._nBoundsVehicule.yMax - 10 + _rSpeed > 385)
      {
         _loc1_._y += 385 - (_loc1_._nBoundsVehicule.yMax - 8);
         _loc1_._mcVehiculeShadow._y += 385 - (_loc1_._nBoundsVehicule.yMax - 10);
         _loc1_._nSpeed = _loc1_._nSpeedMin;
      }
      else
      {
         _loc1_._y += _loc1_._nSpeed * (- _loc1_._nDirection);
         _loc1_._mcVehiculeShadow._y += _loc1_._nSpeed * (- _loc1_._nDirection);
      }
      _loc1_._nSpeedDecor = 0;
   }
   function fMoveLR(_rDirection)
   {
      var _loc1_ = this;
      if(_loc1_._nMoveLRSpeed > 0 and _loc1_._nDirectionLR == - _rDirection)
      {
         if(_loc1_._nMoveLRSpeed > _loc1_._nMoveLRSpeedMax / 2)
         {
            _global.contSound.fManageSound("snd_tire01","play",1,60);
         }
         _loc1_.fSlideLR(10);
      }
      else
      {
         _loc1_._nDirectionLR = _rDirection;
         if(_loc1_._nSpeed != _loc1_._nSpeedMin)
         {
            _loc1_._nMoveLRSpeed += _loc1_._nVelocity / _loc1_._nSpeedMax * _loc1_._nSpeed + 2.5;
         }
         else
         {
            _loc1_._nMoveLRSpeed += _loc1_._nVelocity / _loc1_._nSpeedMax * _loc1_._nSpeed + 1.5;
         }
         if(_loc1_._nMoveLRSpeed > _loc1_._nMoveLRSpeedMax)
         {
            _loc1_._nMoveLRSpeed = _loc1_._nMoveLRSpeedMax;
         }
      }
      _loc1_._nMoveDecor = _loc1_._nMoveLRSpeed * _loc1_._nDirectionLR;
   }
   function fSlideLR(_rFactor)
   {
      var _loc1_ = this;
      _loc1_._nMoveLRSpeed -= _loc1_._nVelocity * _rFactor;
      if(_loc1_._nMoveLRSpeed < 0)
      {
         _loc1_._nMoveLRSpeed = 0;
      }
      if(_loc1_._bDuelMode == true)
      {
         _loc1_._nMoveDecor = _loc1_._nMoveLRSpeed * _loc1_._nDirectionLR;
      }
      else
      {
         _loc1_._nMoveDecor = _loc1_._nMoveLRSpeed * _loc1_._nDirectionLR;
      }
   }
   function fJumpTime()
   {
      var _loc1_ = this;
      _loc1_._nAirTimeDone += _loc1_._nSpeed;
      _loc1_._nPercent = Math.round(100 * _loc1_._nAirTimeDone / _loc1_._nAirTime);
      if(_loc1_._nPercent >= 100)
      {
         _loc1_._bAir = false;
         _loc1_._mcVehiculeShadow._xscale = 100;
         _loc1_._mcVehiculeShadow._yscale = 100;
      }
      else if(_loc1_._nPercent >= 90)
      {
         _loc1_._xscale = 100;
         _loc1_._yscale = 100;
         var _loc2_ = _loc1_._nAirMaxJump / 50;
         _loc1_._mcVehiculeShadow._x = _loc1_._x;
         _loc1_._mcVehiculeShadow._y = _loc1_._y;
         if(_loc1_._currentframe < 5)
         {
            _loc1_.gotoAndPlay("tang");
            _global.contSound.fManageSound("snd_tang","play",1,50);
         }
      }
      else if(_loc1_._nPercent >= 50)
      {
         _loc2_ = _loc1_._nAirMaxJump / 50;
         _loc1_._xscale = 100 + _loc1_._nAirMaxJump - (_loc1_._nPercent - 50) * _loc2_;
         _loc1_._yscale = 100 + _loc1_._nAirMaxJump - (_loc1_._nPercent - 50) * _loc2_;
         _loc1_._mcVehiculeShadow._xscale = 100 - _loc1_._nAirMaxJump + (_loc1_._nPercent - 50) * _loc2_;
         _loc1_._mcVehiculeShadow._yscale = 100 - _loc1_._nAirMaxJump + (_loc1_._nPercent - 50) * _loc2_;
         _loc1_._mcVehiculeShadow._x = _loc1_._x + 20 - Math.round(20 * ((_loc1_._nPercent - 50) * _loc2_)) / 50;
         _loc1_._mcVehiculeShadow._y = _loc1_._y + 10 - Math.round(10 * ((_loc1_._nPercent - 50) * _loc2_)) / 50;
      }
      else
      {
         _loc2_ = _loc1_._nAirMaxJump / 50;
         _loc1_._xscale = 100 + _loc1_._nPercent * _loc2_;
         _loc1_._yscale = 100 + _loc1_._nPercent * _loc2_;
         _loc1_._mcVehiculeShadow._xscale = 100 - _loc1_._nPercent * _loc2_;
         _loc1_._mcVehiculeShadow._yscale = 100 - _loc1_._nPercent * _loc2_;
         _loc1_._mcVehiculeShadow._x = _loc1_._x + Math.round(20 * (_loc1_._nPercent * _loc2_)) / 50;
         _loc1_._mcVehiculeShadow._y = _loc1_._y + Math.round(10 * (_loc1_._nPercent * _loc2_)) / 50;
      }
   }
   function fVehiculeCentred()
   {
      var _loc1_ = this;
      if(_loc1_._x + 5 < 0)
      {
         _loc1_._x += 5;
      }
      else if(_loc1_._x - 5 > 0)
      {
         _loc1_._x -= 5;
      }
      else
      {
         _loc1_._bVehiculeCentred = true;
         _loc1_._x = 0;
      }
      _loc1_._mcVehiculeShadow._x = _loc1_._x;
      _loc1_._mcVehiculeShadow._y = _loc1_._y;
   }
   function fLevelCentred()
   {
      var _loc1_ = _global;
      var _loc2_ = this;
      if(_loc1_.levelScreen._x + 5 < 0)
      {
         _loc1_.levelScreen._x += 5;
         if(_loc2_._bVehiculeReachSafeZone == false)
         {
            _loc1_.levelScreen.mcVehicule._x -= 5;
         }
      }
      else if(_loc1_.levelScreen._x - 5 > 0)
      {
         _loc1_.levelScreen._x -= 5;
         if(_loc2_._bVehiculeReachSafeZone == false)
         {
            _loc1_.levelScreen.mcVehicule._x += 5;
         }
      }
      else
      {
         _loc2_._bLevelCentred = true;
         _loc1_.levelScreen._x = 0;
      }
      _loc2_._mcVehiculeShadow._x = _loc2_._x;
      _loc2_._mcVehiculeShadow._y = _loc2_._y;
   }
   function fVehiculeReachSafeZone(_rZoneX, _rZoneY)
   {
      var _loc1_ = this;
      var _loc2_ = _rZoneX;
      if(_loc1_._x + 5 < _loc2_)
      {
         _loc1_._x += 5;
      }
      else if(_loc1_._x - 5 > _loc2_)
      {
         _loc1_._x -= 5;
      }
      else
      {
         _loc1_._bVehiculeReachSafeZone = true;
         _loc1_._x = _loc2_;
      }
      _loc1_._mcVehiculeShadow._x = _loc1_._x;
      _loc1_._mcVehiculeShadow._y = _loc1_._y;
   }
   function onEnterFrame()
   {
      var _loc1_ = this;
      var _loc2_ = _global;
      _loc1_._bPaused = _loc2_.contPause.opened;
      if(_loc1_._bPaused == false)
      {
         if(_loc1_._bGoSafeZone == true)
         {
            _loc1_._nMoveDecor = 0;
            _loc1_._nMoveLRSpeed = 0;
            if(_loc1_._bVehiculeReachSafeZone == false)
            {
               _loc1_.fVehiculeReachSafeZone(_loc2_.levelScreen.mcArrowPosition._x);
            }
            if(_loc1_._bLevelCentred == false)
            {
               _loc1_.fLevelCentred();
            }
            if(_loc1_._bLevelCentred == true and _loc1_._bVehiculeReachSafeZone == true)
            {
               _loc1_._y -= 15;
               _loc1_._bGoSafeZone = false;
            }
         }
         else if(_loc1_._bLoseLive == true)
         {
            _loc1_._nBoundsVehicule = _loc2_.levelScreen.mcVehicule.getBounds(_loc2_.stage);
            _loc2_.contGame._bDecorStickL = false;
            _loc2_.contGame._bDecorStickR = false;
            if(_loc1_._nBoundsVehicule.yMin <= 400)
            {
               _loc1_._nSpeed = _loc1_._nSpeedMin;
               _loc1_.fDecelerate(2,1);
               _loc1_.fSlideLR(4);
               _loc1_._y += 5;
            }
            else if(_loc2_.mcInterface.mcLifeBar._currentframe == 1)
            {
               _loc1_.gotoAndStop("idle");
               _loc1_._bAir = false;
               _loc1_._xscale = 100;
               _loc1_._yscale = 100;
               _loc1_._mcVehiculeShadow._xscale = 100;
               _loc1_._mcVehiculeShadow._yscale = 100;
               _loc1_._bLoseLive = false;
               _loc1_._bComeBack = true;
               _loc2_.contSound.fManageSound("snd_mecanic1","play",1,50);
               _loc2_.contSound.fManageSound("snd_mecanic","play",1,100);
               _loc1_._bColored = false;
               _loc2_.levelScreen.mcVehicule.fChangeColor("invinsible");
               _loc1_._nColorDirection = -1;
               _loc2_.contGame.fManageLive(-1);
            }
            _loc1_._mcVehiculeShadow._x = _loc1_._x;
            _loc1_._mcVehiculeShadow._y = _loc1_._y;
         }
         else if(_loc1_._bComeBack == true)
         {
            var yOk = false;
            var xOk = false;
            _loc1_._nBoundsVehicule = _loc2_.levelScreen.mcVehicule.getBounds(_loc2_.stage);
            var _loc3_ = (_loc1_._nBoundsVehicule.yMin + _loc1_._nBoundsVehicule.yMax) / 2;
            _loc1_.fChangeColor("invinsibleFlash");
            if(_loc3_ - 10 > _loc1_._nStartPosY)
            {
               _loc1_._y -= 5;
            }
            else
            {
               var yOk = true;
            }
            if(_loc1_._x - 10 > _loc2_.levelScreen.mcArrowPosition._x)
            {
               _loc1_._x -= 5;
            }
            else if(_loc1_._x - 5 < _loc2_.levelScreen.mcArrowPosition._x)
            {
               var xOk = true;
            }
            else if(_loc1_._x + 5 < _loc2_.levelScreen.mcArrowPosition._x)
            {
               _loc1_._x += 5;
            }
            else if(_loc1_._x + 5 > _loc2_.levelScreen.mcArrowPosition._x)
            {
               var xOk = true;
            }
            _loc1_._mcVehiculeShadow._x = _loc1_._x;
            _loc1_._mcVehiculeShadow._y = _loc1_._y;
            if(xOk == true and yOk == true)
            {
               var point = {x:_loc2_.levelScreen.mcArrowPosition._x,y:_loc1_._nStartPosY - 50};
               _loc2_.levelScreen.mcVehicule.globalToLocal(point);
               _loc1_._bComeBack = false;
               _loc1_._bInvinsible = true;
               _loc1_._nInvinsibleTime = getTimer();
            }
         }
         else
         {
            if(_loc1_._nTimeToTang != -1 and getTimer() >= _loc1_._nTimeToTang and _loc1_._sTangPosition != "jump")
            {
               _loc2_.levelScreen.mcVehicule.gotoAndStop("idle");
               _loc1_._nTimeToTang = -1;
            }
            if(_loc1_._bColored == true)
            {
               _loc1_.fChangeColor("toNormal");
            }
            if(_loc1_._bInvinsible == true)
            {
               if(getTimer() - 3000 >= _loc1_._nInvinsibleTime)
               {
                  _loc1_.fChangeColor("invinsibleToNormal");
                  _loc1_._bInvinsible = false;
               }
               else
               {
                  _loc1_.fChangeColor("invinsibleFlash");
               }
            }
            if(_loc1_._bAir == true)
            {
               _loc1_.fJumpTime();
            }
            else
            {
               _loc1_._mcVehiculeShadow._x = _loc1_._x;
               _loc1_._mcVehiculeShadow._y = _loc1_._y;
               if(_loc1_._bBossComing == false)
               {
                  if(Key.isDown(37) and !Key.isDown(39))
                  {
                     _loc1_.fMoveLR(1);
                  }
                  else if(Key.isDown(37) and Key.isDown(39))
                  {
                     _loc1_.fSlideLR(1);
                  }
                  else if(!Key.isDown(37) and Key.isDown(39))
                  {
                     _loc1_.fMoveLR(-1);
                  }
                  else if(!Key.isDown(37) and !Key.isDown(39))
                  {
                     _loc1_.fSlideLR(1);
                  }
               }
               if(_loc1_._bObstacleCollide == false)
               {
                  if(_loc1_._bBossComing == false)
                  {
                     if(!Key.isDown(38) and !Key.isDown(40))
                     {
                        if(_loc1_._nSpeed > _loc1_._nSpeedMin - 0.1)
                        {
                           _loc1_.fDecelerate(1,1);
                        }
                     }
                     else if(Key.isDown(38) and Key.isDown(40))
                     {
                        _loc1_.fDecelerate(1,1);
                     }
                     else if(Key.isDown(38) and !Key.isDown(40))
                     {
                        _loc1_.fForward();
                     }
                     else if(Key.isDown(40) and !Key.isDown(38))
                     {
                        if(_loc1_._bDuelMode == true)
                        {
                           _loc1_.fBackward();
                        }
                        else
                        {
                           _loc1_.fBrake();
                        }
                     }
                  }
               }
               else if(_loc1_._nSpeed > _loc1_._nSpeedToBrake)
               {
                  _loc1_.fBrake();
               }
               else
               {
                  _loc1_.fObstacleBrake(false);
               }
            }
         }
      }
   }
   function fHitWall()
   {
      var _loc2_ = _global;
      if(this._x < _loc2_.levelScreen.mcArrowPosition._x)
      {
         var _loc1_ = 1;
      }
      else if(this._x - 5 > _loc2_.levelScreen.mcArrowPosition._x)
      {
         _loc1_ = -1;
      }
      _loc2_.levelScreen._x -= 10 * _loc1_;
      _loc2_.levelScreen.mcVehicule._x += 10 * _loc1_;
      _loc2_.levelScreen.mcVehicule._mcVehiculeShadow._x += 10 * _loc1_;
   }
   function fStopVehicule()
   {
      var _loc1_ = this;
      var _loc2_ = _global;
      _loc1_._nSpeedDecor = 0;
      _loc1_._nMoveLRSpeed = 0;
      _loc1_._nSpeed = _loc1_._nSpeedMin;
      _loc1_._bGoSafeZone = true;
      _loc1_._bVehiculeCentred = false;
      _loc1_._bLevelCentred = false;
      _loc1_._bVehiculeReachSafeZone = false;
      _loc1_._nBoundsVehicule = _loc2_.levelScreen.mcVehicule.getBounds(_loc2_.levelScreen._parent);
      if(_loc1_._bInvinsible == false)
      {
         _loc2_.levelScreen._parent.mcBurst._x = (_loc1_._nBoundsVehicule.xMin + _loc1_._nBoundsVehicule.xMax) / 2;
         _loc2_.levelScreen._parent.mcBurst._y = _loc1_._nBoundsVehicule.yMin;
         _loc2_.levelScreen._parent.mcBurst.gotoAndPlay(2);
         _loc2_.contSound.fManageSound("snd_impact","play",1,70);
         _loc1_._y += 15;
         _loc1_._mcVehiculeShadow._y = _loc1_._y;
      }
   }
   function fObstacleBrake(_rObstacleCollide, _rSpeedToBrake)
   {
      var _loc1_ = this;
      var _loc2_ = _rSpeedToBrake;
      _loc1_._bObstacleCollide = _rObstacleCollide;
      if(_loc2_ < 1)
      {
         _loc2_ = 1.1;
      }
      _loc1_._nSpeedToBrake = _loc1_._nSpeed - _loc1_._nSpeed / _loc2_;
      if(_loc1_._nSpeedToBrake <= _loc1_._nSpeedMin)
      {
         _loc1_._nSpeedToBrake = _loc1_._nSpeedMin + 0.1;
      }
   }
   function fChangeColor(_rMode)
   {
      var _loc1_ = this;
      if(_rMode == "hit")
      {
         _loc1_._bColored = true;
         _loc1_._objColor = new Color(_loc1_);
         var _aMyColorTransform = {ra:"100",rb:"81",ga:"100",gb:"0",ba:"100",bb:"30",aa:"100",ab:"0"};
         _loc1_._objColor.setTransform(_aMyColorTransform);
      }
      else if(_rMode == "toNormal")
      {
         var _loc3_ = 0;
         var _nBlue = 0;
         var _aMyColorTransform = _loc1_._objColor.getTransform();
         if(_aMyColorTransform.rb > 0)
         {
            _loc3_ = int(_aMyColorTransform.rb) - 5;
         }
         if(_aMyColorTransform.bb > 0)
         {
            _nBlue = int(_aMyColorTransform.bb) - 5;
         }
         if(_loc3_ < 0)
         {
            _loc3_ = 0;
         }
         if(_nBlue < 0)
         {
            _nBlue = 0;
         }
         if(_loc3_ == 0 and _nBlue == 0)
         {
            _loc1_._bColored = false;
            var _aMyColorTransform = {ra:"100",rb:_loc3_,ga:"100",gb:"0",ba:"100",bb:_nBlue,aa:"100",ab:"0"};
            _loc1_._objColor.setTransform(_aMyColorTransform);
         }
         else
         {
            var _aMyColorTransform = {ra:"100",rb:_loc3_,ga:"100",gb:"0",ba:"100",bb:_nBlue,aa:"100",ab:"0"};
            _loc1_._objColor.setTransform(_aMyColorTransform);
         }
      }
      else if(_rMode == "invinsible")
      {
         _loc1_._objColor = new Color(_loc1_);
         var _aMyColorTransform = {ra:"100",rb:"150",ga:"100",gb:"150",ba:"100",bb:"0",aa:"100",ab:"0"};
         _loc1_._objColor.setTransform(_aMyColorTransform);
      }
      else if(_rMode == "invinsibleFlash")
      {
         _loc3_ = 0;
         var _loc2_ = 0;
         var _aMyColorTransform = _loc1_._objColor.getTransform();
         if(_loc1_._nColorDirection == -1)
         {
            if(_aMyColorTransform.rb > 0)
            {
               _loc3_ = int(_aMyColorTransform.rb) - 25;
            }
            if(_aMyColorTransform.gb > 0)
            {
               _loc2_ = int(_aMyColorTransform.gb) - 25;
            }
            if(_loc3_ <= 0)
            {
               _loc3_ = 0;
               _loc1_._nColorDirection = 1;
            }
            if(_loc2_ <= 0)
            {
               _loc2_ = 0;
            }
         }
         else if(_loc1_._nColorDirection == 1)
         {
            if(_aMyColorTransform.rb < 150)
            {
               _loc3_ = int(_aMyColorTransform.rb) + 25;
            }
            if(_aMyColorTransform.gb < 150)
            {
               _loc2_ = int(_aMyColorTransform.gb) + 25;
            }
            if(_loc3_ >= 150)
            {
               _loc1_._nColorDirection = -1;
               _loc3_ = 150;
            }
            if(_loc2_ >= 150)
            {
               _loc2_ = 150;
            }
         }
         var _aMyColorTransform = {ra:"100",rb:_loc3_,ga:"100",gb:_loc2_,ba:"100",bb:"0",aa:"100",ab:"0"};
         _loc1_._objColor.setTransform(_aMyColorTransform);
      }
      else if(_rMode == "invinsibleToNormal")
      {
         _loc1_._objColor = new Color(_loc1_);
         var _aMyColorTransform = {ra:"100",rb:"0",ga:"100",gb:"0",ba:"100",bb:"0",aa:"100",ab:"0"};
         _loc1_._objColor.setTransform(_aMyColorTransform);
      }
   }
}
